"use strict";
const common_vendor = require("../../common/vendor.js");
const pages_me_model = require("./model.js");
require("../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
const pages_me_method = require("./method.js");
const common_libraries_userUserLogin = require("../../common/libraries/userUserLogin.js");
require("../../gen/Apis.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_all_page_bg2 = common_vendor.resolveComponent("hs-all-page-bg");
  _easycom_hs_all_page_bg2();
}
const _easycom_hs_all_page_bg = () => "../../components/hs-all-page-bg/hs-all-page-bg.js";
if (!Math) {
  (_easycom_hs_all_page_bg + MyHeader + MyAreaFunctional + MyToBeDone)();
}
const MyHeader = () => "./components/header.js";
const MyAreaFunctional = () => "./components/AreaFunctional.js";
const MyToBeDone = () => "./components/ToBeDone.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    getApp();
    const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
    const userData = common_vendor.ref({});
    common_vendor.onShow(async (e) => {
      var _a, _b, _c;
      userData.value = auth == null ? void 0 : auth.data;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      if ((_b = common_libraries_userUserLogin.getUserLogin) == null ? void 0 : _b.getLoginStatus()) {
        pages_me_model.useModel.dataList.value = [];
        pages_me_method.method.getOwnerAuditList();
        pages_me_method.method.getCountHouse();
        (_c = pages_me_method.method) == null ? void 0 : _c.getHouseKeeper();
      } else {
        pages_me_model.useModel.dataList.value = [];
        pages_me_model.useModel.meta.value = { total: 0 };
      }
    });
    return (_ctx, _cache) => {
      return {};
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/pages/me/index.vue"]]);
wx.createPage(MiniProgramPage);
